#[ ZACATEK SOUBORU ]#

#DEF <SCHEMA>    food600
#DEF <PRIMARYKEY> c_druh
#DEF <TABLENAME> skupiny

#[ CREATE TABLE ZACATEK ]#
    c_data smallint NOT NULL DEFAULT 1,
    druh character(10) COLLATE pg_catalog."default",
    spart character(3) COLLATE pg_catalog."default" NOT NULL DEFAULT ''::bpchar,
    spart_kas character(3) COLLATE pg_catalog."default" NOT NULL DEFAULT ''::bpchar,
    typ_skup character(1) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    typ_skl character(1) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    typ_kalk character(1) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    prir1 numeric(5,3) DEFAULT 0,
    prir2 numeric(5,3) DEFAULT 0,
    druh1 character(30) COLLATE pg_catalog."default" NOT NULL DEFAULT ''::bpchar,
    druh2 character(30) COLLATE pg_catalog."default" NOT NULL DEFAULT ''::bpchar,
    druh3 character(30) COLLATE pg_catalog."default" NOT NULL DEFAULT ''::bpchar,
    druh4 character(30) COLLATE pg_catalog."default" NOT NULL DEFAULT ''::bpchar,
    druh5 character(30) COLLATE pg_catalog."default" NOT NULL DEFAULT ''::bpchar,
    poradie integer NOT NULL DEFAULT 0,
    c_druh SERIAL,
    dotacia smallint DEFAULT 0,
    sumar smallint NOT NULL DEFAULT 0,
    zmena timestamp without time zone NOT NULL DEFAULT now(),
    samozdan smallint NOT NULL DEFAULT 0,
    dan_samo numeric(5,3) NOT NULL DEFAULT 1,
    dan01 numeric(5,3) DEFAULT 1,
    dan02 numeric(5,3) DEFAULT 1,
    dan03 numeric(5,3) DEFAULT 1,
    dan04 numeric(5,3) DEFAULT 1,
    dan05 numeric(5,3) DEFAULT 1,
    dan06 numeric(5,3) DEFAULT 1,
    dan07 numeric(5,3) DEFAULT 1,
    dan08 numeric(5,3) DEFAULT 1,
    dan09 numeric(5,3) DEFAULT 1,
    dan10 numeric(5,3) DEFAULT 1,
    dan11 numeric(5,3) DEFAULT 1,
    dan12 numeric(5,3) DEFAULT 1,
    dan13 numeric(5,3) DEFAULT 1,
    dan14 numeric(5,3) DEFAULT 1,
    dan15 numeric(5,3) DEFAULT 1,
    dan16 numeric(5,3) DEFAULT 1,
    dan17 numeric(5,3) DEFAULT 1,
    dan18 numeric(5,3) DEFAULT 1,
    dan19 numeric(5,3) DEFAULT 1,
    dan20 numeric(5,3) DEFAULT 1,
    dan21 numeric(5,3) DEFAULT 1,
    dan22 numeric(5,3) DEFAULT 1,
    dan23 numeric(5,3) DEFAULT 1,
    dan24 numeric(5,3) DEFAULT 1,
    dan25 numeric(5,3) DEFAULT 1,
    dan26 numeric(5,3) DEFAULT 1,
    dan27 numeric(5,3) DEFAULT 1,
    dan28 numeric(5,3) DEFAULT 1,
    dan29 numeric(5,3) DEFAULT 1,
    dan30 numeric(5,3) DEFAULT 1,
    dan31 numeric(5,3) DEFAULT 1,
    dan32 numeric(5,3) DEFAULT 1,
    dan33 numeric(5,3) DEFAULT 1,
    dan34 numeric(5,3) DEFAULT 1,
    dan35 numeric(5,3) DEFAULT 1,
    dan36 numeric(5,3) DEFAULT 1,
    dan37 numeric(5,3) DEFAULT 1,
    dan38 numeric(5,3) DEFAULT 1,
    dan39 numeric(5,3) DEFAULT 1,
    dan40 numeric(5,3) DEFAULT 1,
    dan41 numeric(5,3) DEFAULT 1,
    dan42 numeric(5,3) DEFAULT 1,
    dan43 numeric(5,3) DEFAULT 1,
    dan44 numeric(5,3) DEFAULT 1,
    dan45 numeric(5,3) DEFAULT 1,
    dan46 numeric(5,3) DEFAULT 1,
    dan47 numeric(5,3) DEFAULT 1,
    dan48 numeric(5,3) DEFAULT 1,
    dan49 numeric(5,3) DEFAULT 1,
    dan50 numeric(5,3) DEFAULT 1,
    dan51 numeric(5,3) DEFAULT 1,
    dan52 numeric(5,3) DEFAULT 1,
    dan53 numeric(5,3) DEFAULT 1,
    dan54 numeric(5,3) DEFAULT 1,
    dan55 numeric(5,3) DEFAULT 1,
    dan56 numeric(5,3) DEFAULT 1,
    dan57 numeric(5,3) DEFAULT 1,
    dan58 numeric(5,3) DEFAULT 1,
    dan59 numeric(5,3) DEFAULT 1,
    dan60 numeric(5,3) DEFAULT 1,
    dan61 numeric(5,3) DEFAULT 1,
    dan62 numeric(5,3) DEFAULT 1,
    dan63 numeric(5,3) DEFAULT 1,
    dan64 numeric(5,3) DEFAULT 1,
    dan65 numeric(5,3) DEFAULT 1,
    dan66 numeric(5,3) DEFAULT 1,
    dan67 numeric(5,3) DEFAULT 1,
    dan68 numeric(5,3) DEFAULT 1,
    dan69 numeric(5,3) DEFAULT 1,
    dan70 numeric(5,3) DEFAULT 1,
    dan71 numeric(5,3) DEFAULT 1,
    dan72 numeric(5,3) DEFAULT 1,
    dan73 numeric(5,3) DEFAULT 1,
    dan74 numeric(5,3) DEFAULT 1,
    dan75 numeric(5,3) DEFAULT 1,
    dan76 numeric(5,3) DEFAULT 1,
    dan77 numeric(5,3) DEFAULT 1,
    dan78 numeric(5,3) DEFAULT 1,
    dan79 numeric(5,3) DEFAULT 1,
    dan80 numeric(5,3) DEFAULT 1,
    dan81 numeric(5,3) DEFAULT 1,
    dan82 numeric(5,3) DEFAULT 1,
    dan83 numeric(5,3) DEFAULT 1,
    dan84 numeric(5,3) DEFAULT 1,
    dan85 numeric(5,3) DEFAULT 1,
    dan86 numeric(5,3) DEFAULT 1,
    dan87 numeric(5,3) DEFAULT 1,
    dan88 numeric(5,3) DEFAULT 1,
    dan89 numeric(5,3) DEFAULT 1,
    dan90 numeric(5,3) DEFAULT 1,
    CONSTRAINT skupiny_<PRIMARYKEY> PRIMARY KEY (<PRIMARYKEY>),
    CONSTRAINT skupiny_druh UNIQUE (druh, c_data)
#[ CREATE TABLE KONEC ]#

#[ IF EXIST ZACATEK ]#
#[ PRIMARYKEY ]#

	IF not EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='samozdan') THEN
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN samozdan smallint NOT NULL DEFAULT 0;
	END IF;

	IF not EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='dan_samo') THEN
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dan_samo numeric(5,3) NOT NULL DEFAULT 1;
	END IF;

	IF EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='samozdan') THEN
		ALTER TABLE <SCHEMA>.skupiny  ALTER COLUMN samozdan SET DEFAULT 0;
	END IF;



	IF         EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='c_druh_master') THEN
		IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='c_d_m')         THEN
			ALTER TABLE <SCHEMA>.skupiny RENAME c_druh_master TO c_d_m;
		END IF;
	END IF;

	IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='c_d_m') THEN
		ALTER TABLE <SCHEMA>.skupiny  ADD COLUMN c_d_m integer NOT NULL DEFAULT 0;
	END IF;

	IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='id_sync') THEN
		ALTER TABLE <SCHEMA>.skupiny  ADD COLUMN id_sync integer NOT NULL DEFAULT 0;
	END IF;

	IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='dana9') THEN
		ALTER TABLE <SCHEMA>.skupiny DISABLE TRIGGER ALL;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana0 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana1 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana2 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana3 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana4 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana5 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana6 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana7 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana8 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dana9 numeric(5,3) NULL DEFAULT 1;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb0 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb1 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb2 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb3 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb4 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb5 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb6 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb7 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb8 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danb9 numeric(5,3) NULL DEFAULT 1;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc0 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc1 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc2 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc3 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc4 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc5 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc6 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc7 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc8 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danc9 numeric(5,3) NULL DEFAULT 1;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand0 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand1 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand2 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand3 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand4 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand5 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand6 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand7 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand8 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dand9 numeric(5,3) NULL DEFAULT 1;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane0 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE0 = dan41;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan41 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane1 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE1 = dan42;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan42 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane2 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE2 = dan43;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan43 cASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane3 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE3 = dan44;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan44 cASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane4 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE4 = dan45;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan45 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane5 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE5 = dan46;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan46 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane6 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE6 = dan47;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan47 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane7 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE7 = dan48;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan48 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane8 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE8 = dan49;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan49 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dane9 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danE9 = dan50;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan50 CASCADE;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf0 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf0 = dan51;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan51 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf1 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf1 = dan52;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan52 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf2 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf2 = dan53;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan53 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf3 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf3 = dan54;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan54 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf4 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf4 = dan55;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan55 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf5 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf5 = dan56;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan56 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf6 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf6 = dan57;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan57 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf7 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf7 = dan58;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan58 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf8 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf8 = dan59;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan59 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danf9 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danf9 = dan60;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan60 CASCADE;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang0 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang0 = dan61;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan61 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang1 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang1 = dan62;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan62 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang2 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang2 = dan63;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan63 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang3 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang3 = dan64;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan64 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang4 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang4 = dan65;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan65 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang5 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang5 = dan66;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan66 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang6 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang6 = dan67;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan67 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang7 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang7 = dan68;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan68 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang8 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang8 = dan69;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan69 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dang9 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dang9 = dan70;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan70 CASCADE;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh0 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh0 = dan71;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan71 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh1 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh1 = dan72;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan72 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh2 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh2 = dan73;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan73 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh3 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh3 = dan74;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan74 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh4 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh4 = dan75;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan75 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh5 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh5 = dan76;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan76 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh6 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh6 = dan77;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan77 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh7 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh7 = dan78;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan78 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh8 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh8 = dan79;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan79 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danh9 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set danh9 = dan80;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan80 CASCADE;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani0 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani0 = dan81;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan81 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani1 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani1 = dan82;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan82 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani2 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani2 = dan83;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan83 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani3 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani3 = dan84;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan84 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani4 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani4 = dan85;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan85 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani5 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani5 = dan86;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan86 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani6 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani6 = dan87;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan87 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani7 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani7 = dan88;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan88 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani8 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani8 = dan89;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan89 CASCADE;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dani9 numeric(5,3) NULL DEFAULT 1;
		update <SCHEMA>.skupiny set dani9 = dan90;
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN dan90 CASCADE;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj0 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj1 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj2 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj3 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj4 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj5 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj6 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj7 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj8 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danj9 numeric(5,3) NULL DEFAULT 1;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank0 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank1 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank2 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank3 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank4 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank5 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank6 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank7 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank8 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN dank9 numeric(5,3) NULL DEFAULT 1;

		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl0 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl1 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl2 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl3 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl4 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl5 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl6 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl7 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl8 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN danl9 numeric(5,3) NULL DEFAULT 1;
		ALTER TABLE <SCHEMA>.skupiny ENABLE TRIGGER ALL;
	END IF;

	IF EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='prir1') THEN
		ALTER TABLE <SCHEMA>.skupiny DROP COLUMN prir1 CASCADE;
	END IF;

	IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='c_druh_2') THEN
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN c_druh_2  int2 NULL ;
	END IF;

	IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='c_druh_1') THEN
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN c_druh_1  int2 NULL ;
	END IF;


	IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='koef_c_2') THEN
		ALTER TABLE  <SCHEMA>.skupiny ADD COLUMN koef_c_2 numeric(5, 3) NOT NULL DEFAULT 0.5;
	END IF;
	IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='koef_c_3') THEN
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN koef_c_3 numeric(5, 3) NOT NULL DEFAULT 0.333;
	END IF;
	IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='skupiny' and column_name='koef_c_4') THEN
		ALTER TABLE <SCHEMA>.skupiny ADD COLUMN koef_c_4 numeric(5, 3) NOT NULL DEFAULT 0.25;
	END IF;

END IF;

#[ KONEC SOUBORU ]#